catalog:
  title: floka simulation for unity

templates:
- freestyle
- base

variables:
  description: floka simulation for unity
  access: private
  
  url: https://gitlab.ub.uni-bielefeld.de/flobi_floka/unity_simulation.git
  branches:
  - main
  - v1.0

  username: "read_only"
  pwd: "Su7XtRgaZGGuHxujsA8o"

  pre-build-hook/unix.command: |
    rm -rf unity_simulation
    git clone https://${username}:${pwd}@gitlab.ub.uni-bielefeld.de/flobi_floka/unity_simulation.git
    cd unity_simulation
    git checkout ${branch}
    mkdir build
    ${unity.dir}/Unity -projectPath "." -batchmode -quit -logFile - -executeMethod BuildSimulation.BuildLinux build/floka-simulation
    rm -rf ${toolkit.dir}/share/floka-simulation
    cp -R build ${toolkit.dir}/share/floka-simulation
    ln -sfn ${toolkit.dir}/share/floka-simulation/floka-simulation ${toolkit.dir}/bin/floka-simulation
